### Constructor

# GimpUi IntComboBox new_array

#### Declaration [src]

    GtkWidget*
    gimp_int_combo_box_new_array (
      gint n_values,
      const gchar** labels
    )

#### Description [src]

A variant of `gimp_int_combo_box_new()` that takes an array of labels. The array indices are used as values.

Available since: | 2.2

#### Parameters

`n_values` | `gint`
| The number of values.
`labels` | An array of `gchar*`
| An array of labels.
| The length of the array is specified in the `n_values` argument.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new `GimpIntComboBox`.
| The data is owned by the called function.